// components/houseCard/houseCard.js
Component({
  /**
   * 组件的属性列表
   */
  properties: {
    data:{
      type:Object,
      value:null
    },
    isShow:{
      type:Boolean,
      value:false
    }
  },

  /**
   * 组件的初始数据
   */
  data: {
    
  },

  /**
   * 组件的方法列表
   */
  methods: {
    showRentAction() {
      this.triggerEvent('showAction');
    },

    applyAction(e) {
      const {index} = e.currentTarget.dataset,obj = this.properties.data;
      if (index != null) { 
        const attrArr = obj.attrs;
        obj.attrId = attrArr[index].attrId;
      }

      this.triggerEvent('roomAction',{data:obj});
    },

    tapCardAction() {
      this.triggerEvent('cardAction',this.properties.data);
    },
  }
})
